net.snowflake.client.jdbc.cloud.storage

## Class S3ObjectSummariesIterator

- java.lang.Object
- - net.snowflake.client.jdbc.cloud.storage.S3ObjectSummariesIterator

All Implemented Interfaces:
  Iterator<StorageObjectSummary>

    public class S3ObjectSummariesIterator
    extends Object
    implements Iterator<StorageObjectSummary>

Iterator class for ObjectSummary objects on S3 Wraps an iterator of S3 object summaries and returns platform independent instances (StorageObjectSummary)

Author:
  lgiakoumakis

### Constructor Summary

Constructors
Constructor and Description
`S3ObjectSummariesIterator(List<com.amazonaws.services.s3.model.S3ObjectSummary> s3ObjectSummaries)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`StorageObjectSummary` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### S3ObjectSummariesIterator

    public S3ObjectSummariesIterator(List<com.amazonaws.services.s3.model.S3ObjectSummary> s3ObjectSummaries)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<StorageObjectSummary>`

#### next

    public StorageObjectSummary next()

Specified by:
  `next` in interface `Iterator<StorageObjectSummary>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<StorageObjectSummary>`